/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractinfo.entity;

import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 合同管理Entity
 * @author 丁旭
 * @version 2017-03-21
 */
public class WorkContractDataInfo extends ActEntity<WorkContractDataInfo> {

	private static final long serialVersionUID = 1L;
	private String number;//合同编号
	private String name;//合同名称
	private int projectCount;//项目数量
	private int reportCount;//报告数量
	private BigDecimal invoiceMoney;//开票金额
	private BigDecimal incomeMoney;//收款金额
	private BigDecimal reimbursementMoney;//报销金额
	private String officeId;
	private Date beginDate;
	private Date endDate;
	private String invoiceMoneyStr;//开票金额
	private String incomeMoneyStr;//收款金额
	private String reimbursementMoneyStr;//报销金额

	@ExcelField(title = "合同编号", align = 2, sort = 1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	@ExcelField(title = "合同名称", align = 2, sort = 2)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ExcelField(title = "项目数量", align = 2, sort = 3)
	public int getProjectCount() {
		return projectCount;
	}

	public void setProjectCount(int projectCount) {
		this.projectCount = projectCount;
	}

	@ExcelField(title = "报告数量", align = 2, sort = 4)
	public int getReportCount() {
		return reportCount;
	}

	public void setReportCount(int reportCount) {
		this.reportCount = reportCount;
	}

	public BigDecimal getInvoiceMoney() {
		return invoiceMoney;
	}

	@ExcelField(title = "开票金额", align = 2, sort = 5)
	public String getInvoiceMoneyStr() {
		return UserUtils.getDecimalFormat(this.invoiceMoney);
	}
	@ExcelField(title = "收款金额", align = 2, sort = 6)
	public String getIncomeMoneyStr() {
		return UserUtils.getDecimalFormat(this.incomeMoney);
	}
	@ExcelField(title = "报销金额", align = 2, sort = 7)
	public String getReimbursementMoneyStr() {
		return UserUtils.getDecimalFormat(this.reimbursementMoney);
	}

	public void setInvoiceMoney(BigDecimal invoiceMoney) {
		this.invoiceMoney = invoiceMoney;
	}

	public BigDecimal getIncomeMoney() {
		return incomeMoney;
	}

	public void setIncomeMoney(BigDecimal incomeMoney) {
		this.incomeMoney = incomeMoney;
	}

	public BigDecimal getReimbursementMoney() {
		return reimbursementMoney;
	}

	public void setReimbursementMoney(BigDecimal reimbursementMoney) {
		this.reimbursementMoney = reimbursementMoney;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
}